Datasets
List datasets
GET
/
v1
/
datasets
List datasets
curl --request GET \
--url https://api.veri.studio/v1/datasets \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veri.studio/v1/datasets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veri.studio/v1/datasets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "<string>",
"data": [
{
"object": "<string>",
"id": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"source_type": "<string>",
"source_uri": "<string>",
"huggingface_dataset": "<string>",
"num_rows": 123,
"format": "<string>",
"head_row": 123,
"auto_snapshot_rows": 123,
"latest_snapshot_id": "<string>",
"unsnapshotted_rows": 123,
"snapshot_count": 123
}
],
"has_more": true
}Authorizations
API key with the vk_ prefix. Create one from the dashboard.
List datasets
curl --request GET \
--url https://api.veri.studio/v1/datasets \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veri.studio/v1/datasets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veri.studio/v1/datasets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "<string>",
"data": [
{
"object": "<string>",
"id": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"source_type": "<string>",
"source_uri": "<string>",
"huggingface_dataset": "<string>",
"num_rows": 123,
"format": "<string>",
"head_row": 123,
"auto_snapshot_rows": 123,
"latest_snapshot_id": "<string>",
"unsnapshotted_rows": 123,
"snapshot_count": 123
}
],
"has_more": true
}
